version: "3.8"

services:
  web:
    image: thecoopcloud/hexbomb.gay:latest
    networks:
     - proxy
    deploy:
      labels:
        - "traefik.enable=true"
        - "traefik.http.services.hexbomb_gay.loadbalancer.server.port=80"
        - "traefik.http.routers.hexbomb_gay.rule=Host(`www.hexbomb.gay`)"
        - "traefik.http.routers.hexbomb_gay.entrypoints=web-secure"
        - "traefik.http.routers.hexbomb_gay.tls.certresolver=production"


networks:
  proxy:
    external: true